## NAME

           scanw, wscanw, mvscanw, mvwscanw, vwscanw, vw_scanw - con-
           vert formatted input from a curses window

## SYNOPSIS

           #include <curses.h>

           int scanw(char *fmt [, arg] ...);
           int wscanw(WINDOW *win, char *fmt [, arg] ...);
           int mvscanw(int y, int x, char *fmt [, arg] ...);
           int mvwscanw(WINDOW *win, int y, int x,
                 char *fmt [, arg] ...);
           int vw_scanw(WINDOW *win, char *fmt, va_list varglist);
           int vwscanw(WINDOW *win, char *fmt, va_list varglist);

## DESCRIPTION

           The scanw, wscanw and mvscanw routines  are  analogous  to
           scanf [see scanf(3S)].  The effect of these routines is as
           though wgetstr were called on the window, and the  result-
           ing line used as input for sscanf(3).  Fields which do not
           map to a variable in the fmt field are lost.

           The vwscanw routine is similar to vwprintw in that it per-
           forms  a wscanw using a variable argument list.  The third
           argument is a va_list, a pointer to a list  of  arguments,
           as defined in <varargs.h>.

## RETURN VALUE

           vwscanw returns ERR on failure and an integer equal to the
           number of fields scanned on success.

           Applications may use the  return  value  from  the  scanw,
           wscanw,  mvscanw  and  mvwscanw  routines to determine the
           number of fields which were mapped in the call.

## PORTABILITY

           The XSI Curses standard, Issue  4  describes  these  func-
           tions.   The  function  vwscanw is marked TO BE WITHDRAWN,
           and is to be replaced by a  function  vw_scanw  using  the
           <stdarg.h> interface.

## SEE ALSO

           curses(3x), curs_getstr(3x), curs_printw(3x), scanf(3S)